%kmdl 3w-9xxx

Summary: Driver and firmware for the 3ware Escalade 9xxx series
Name: 3w-9xxx
Version: 9.3.0.4
Release: 7%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://www.3ware.com/
Source0: http://www.3ware.com/download/Escalade9000Series/%{version}/3w-9xxx-linux-src-2.6-supp_distros-%{version}.tgz
Source1: http://www.3ware.com/download/Escalade9000Series/%{version}/3w-9xxx-linux-src-2.6-upstream_kernels-%{version}.tgz
Source2: http://www.3ware.com/download/Escalade9000Series/%{version}/3w-9xxx-linux-src-2.4-%{version}.tgz
Source3: Makefile
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%kmdl_parentdependencies

%description
3ware's Escalade 9000 series of Serial ATA RAID controllers deliver
full-featured hardware RAID for PC servers and workstations.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for 3w-9xxx
Group: System Environment/Kernel

%description -n %kmdl_name
This package contains kernel drivers for 3w-9xxx.

%kmdl_desc

%prep
if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  sublevel=`grep '^SUBLEVEL = ' %{kmdl_kernelsrcdir}/Makefile | sed -e's,^SUBLEVEL = ,,'`
  if [ $sublevel -lt 14 ]; then
%setup -q -c -T -a0
  else
%setup -q -c -T -a1
    mv driver/* .
  fi
else
%setup -q -c -T -a2
cp -a %{SOURCE3} .
cat >> Makefile << EOF
EXTRA_CFLAGS := -I%{kmdl_kernelsrcdir}/drivers/scsi
include %{kmdl_kernelsrcdir}/Rules.make
EOF
fi

%build
%if %{kmdl_userland}
%else

%kmdl_config
make -C %{kmdl_kernelsrcdir} SRC=%{kmdl_kernelsrcdir} SUBDIRS=`pwd` modules
%endif

%install
rm -rf %{buildroot}
%if %{kmdl_userland}
%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/scsi
if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` INSTALL_MOD_PATH=%{buildroot} modules_install V=1
  if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
    mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/scsi/
  fi
else
  cp *.o %{buildroot}%{kmdl_moduledir}/drivers/scsi/
fi
%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/scsi/3w-9xxx.*o

%endif

%changelog
* Tue Aug  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 9.3.0.4-6
- Add support for "supp_distros".

* Fri Jul 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 9.3.0.4-5
- Update to 9.3.0.4.

* Thu Feb  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2[46].04.007 (9.3.0.3).

* Tue Jan 17 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Upgrade to 2.2[46].03.019fw (9.2.1.1).

* Sat Jan 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2[46].00.011fw (9.1.5.2).

* Fri Nov 26 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.2[46].00.011fw (9.0.2).

* Thu Jul  1 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
